%    Create a Matlab wrapper for the com.sun.net.httpserver.HttpExchange java object.   
%    This object is used when a webservice is called to retrieve   
%    request info, such as the data and headers and to prepare the   
%    message to be returned. The data sent by the client are stored as redundant data in this constructor.   
%   
%    CALL:   
%        obj = HttpExchange(httpExchange)   
%        obj = HttpExchange(charString)   
%   
%    INPUT:   
%        httpExchange: <sun.net.httpserver.HttpExchangeImpl>   
%   
%    OUTPUT:   
%        obj: <modelit.webserver.HttpExchange>   
%   
%   
%  modelit.web.server.HttpExchange Properties:   
%    No properties   
%   
%  modelit.web.server.HttpExchange Methods:   
%    HttpExchange       - Create a Matlab wrapper for the com.sun.net.httpserver.HttpExchange java object.   
%    http_callback      - Default callback for webservice.   
%    send               - Send the response and statuscode to the requester.   
%    getQueryValue      - Returns the value for a given query parameter.   
%    getQuery           - Returns the query parameters of the http request.   
%    httpget2struct     - Convert httpget string to structure with input arguments.   
%    getQueryString     - Returns the query parameters of the http request as a string.   
%    char               - Equivalent to getQueryString but returns requestBody if   
%    addResponseHeader  - Add a header with a value to the response.   
%    getPath            - Returns the decoded path component of this URI.   
%    getResponseHeaders - Returns the response headers.   
%    getRequestBody     - Return the data sent with the http request.   
%    getRequestHeaders  - Get the request headers.   
%    getRequestMethod   - Returns the http request method.   
%    getLocalAddress    - Returns the local address in the form hostname:port.   
%    getRemoteAddress   - Returns the remote address in the form hostname:port.   
%    getProtocol        - Returns the protocol in the form protocol/majorVersion.minorVersion.   
%    getPrincipal       - Returns the HttpPrincipal or '' if no authentication is used.   
%   
%  NOTE:   
%    Help automatically generated by classHelp (14-Nov-2022 12:49:06)   
   
   
% © Modelit 2006-2023   
% Matlab release: 2023a   
% Date: 2023/03/24 15:18:56   
